aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
authorMaZderMind2016-11-24 21:25:52 +0100
committerMaZderMind2016-11-24 21:25:52 +0100
commit6d351be3f9a52f2e009cb8dbf0de1b1f111409c7 (patch)
tree482043114ebd35bb419f5fab7b6f8d0e759deb4e /deploy.sh
parente42d12951e0e70c13fd72e82b880a867a6e0b90e (diff)
move git-checks after syntax-error checks (so you can fix your erros before deploying)
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/deploy.sh b/deploy.sh
index d1738ed..1115958 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,15 +1,5 @@
#!/bin/sh
-if [ `git rev-parse --verify origin/master` != `git rev-parse --verify master` ]; then
- echo "You have commits on the master branch not pushed to origin yet. They would not be deployed. aborting"
- exit 2
-fi
-
-if git diff --exit-code >/dev/null || git diff --cached --exit-code >/dev/null; then
- echo "You have uncomitted changes. They would not be deployed. aborting"
- exit 2
-fi
-
command -v find >/dev/null 2>&1 || { echo >&2 "I require find but it's not installed. Aborting."; exit 1; }
command -v xargs >/dev/null 2>&1 || { echo >&2 "I require xargs but it's not installed. Aborting."; exit 1; }
command -v php >/dev/null 2>&1 || { echo >&2 "I require php but it's not installed. Aborting."; exit 1; }
@@ -20,6 +10,16 @@ if [ $? -ne 0 ]; then
exit 1
fi
+if [ `git rev-parse --verify origin/master` != `git rev-parse --verify master` ]; then
+ echo "You have commits on the master branch not pushed to origin yet. They would not be deployed. aborting"
+ exit 2
+fi
+
+if git diff --exit-code >/dev/null || git diff --cached --exit-code >/dev/null; then
+ echo "You have uncomitted changes. They would not be deployed. aborting"
+ exit 2
+fi
+
ssh -A voc@lb.dus.c3voc.de 'sudo sh' << EOT
cd /srv/nginx/streaming-website
git fetch origin